# -*- coding: utf-8 -*-
"""Bandit directory containing multi-armed bandit implementations of epsilon policies in python.

**Files in this package**

* :mod:`moe.bandit.epsilon.epsilon_first`: :class:`~moe.bandit.epsilon.epsilon_first.EpsilonFirst`
  object for allocating bandit arms and choosing the winning arm based on epsilon-first policy.
* :mod:`moe.bandit.epsilon.epsilon_greedy`: :class:`~moe.bandit.epsilon.epsilon_greedy.EpsilonGreedy`
  object for allocating bandit arms and choosing the winning arm based on epsilon-greedy policy.
* :mod:`moe.bandit.epsilon.epsilon_interface`: a base :class:`~moe.bandit.epsilon.epsilon_interface.EpsilonInterface`
  object for all bandit epsilon subtypes.

"""
