# -*- coding: utf-8 -*-
"""Bandit directory containing multi-armed bandit implementations of UCB policies in python.

**Files in this package**

* :mod:`moe.bandit.ucb.ucb1`: :class:`~moe.bandit.ucb.ucb1.UCB1`
  object for allocating bandit arms and choosing the winning arm based on UCB1 policy.
* :mod:`moe.bandit.ucb.ucb1_tuned`: :class:`~moe.bandit.ucb.ucb1_tuned.UCB1Tuned`
  object for allocating bandit arms and choosing the winning arm based on UCB1-tuned policy.
* :mod:`moe.bandit.ucb.ucb_interface`: a base :class:`~moe.bandit.ucb.ucb_interface.UCBInterface`
  object for all bandit UCB subtypes.

"""
